﻿using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form, IUIElementDrawFilter
    {
        public Form1()
        {
            InitializeComponent();
            uiElementViewerDialog1.Show();
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {

        }

        Pen borderPen = new Pen(Color.Red);

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraToolbarsManager1.DrawFilter = this;
        }

		public Infragistics.Win.DrawPhase GetPhasesToFilter(
	  ref Infragistics.Win.UIElementDrawParams drawParams)
		{
			// If the element being drawn is a RowCellAreaUIElement
			// we're interested in drawing its borders only.
			if (drawParams.Element is RibbonGroupUIElement)
				return Infragistics.Win.DrawPhase.BeforeDrawBorders;
			else
				return Infragistics.Win.DrawPhase.None;
		}
		public bool DrawElement(Infragistics.Win.DrawPhase drawPhase,
		  ref Infragistics.Win.UIElementDrawParams drawParams)
		{
			// This will only be called for the BeforeDrawBorders phase of a
			// RowCellAreaUIElement based on the flags returned from
			// GetPhasesToFilter.
			// Draw a border along the top edge of the element.
			borderPen.Width = -5;
			
			
			Rectangle elementRect = drawParams.Element.Rect;
			drawParams.Graphics.DrawRectangle(this.borderPen,
			  elementRect);
			elementRect.Height += 5;
			elementRect.Width += 5;
			
			// Return true to prevent the element from drawing
			// its borders normally.
			return true;
		}
	}
}
